v0.0.81
Additions
- Added a new
urgent-onlyvalue tooffering.timeslotPolicyin referral responses, for offerings where timeslots are not selectable and referrals must be marked as urgent. No action is required.
Recommendations
- If you have any questions or need support with these changes, please reach out to the RefX team at refx-support@health.gov.sg.
v0.0.80
Breaking Changes
- Removed the
fill-singhealth-formsgreferral link type, as referrals no longer have a SingHealth FormSG step. It is no longer returned in thelinks[].typeoractions[].typefields of theGET /api/v1/referrals/:referralIdresponse, and is no longer accepted as thetypepath parameter ofPOST /api/v1/referrals/:referralId/action-links/:type.
v0.0.79
The changes documented here consolidate the main changes made from v0.0.72 to v0.0.79.
v0.0.71
Additions
- Added a new
referral.singhealth-patient-create-reminder-sentvalue to the timeline eventtypefield (timelineEvents[].type) returned byGET /api/v1/referrals/:referralId.
v0.0.70
Additions
- Added new
submittedAtfield to referral responses (GET /api/v1/institutions/:institutionIdType/:institutionId/referrals,GET /api/v1/referrals/:referralId,DELETE /api/v1/referrals/:referralId,POST /api/v1/referrals/:referralId/cancel,POST /api/v1/referrals/:referralId/back-to-draft).
Recommendations
v0.0.69
Documentation Changes
- Removed unimplemented
patient.isHsgEnrolledfield from referral responses (GET /api/v1/institutions/:institutionIdType/:institutionId/referrals,GET /api/v1/referrals/:referralId,DELETE /api/v1/referrals/:referralId,POST /api/v1/referrals/:referralId/cancel,POST /api/v1/referrals/:referralId/back-to-draft). - Updated description of the
offering.descriptionfield in referral responses (GET /api/v1/institutions/:institutionIdType/:institutionId/referrals,GET /api/v1/referrals/:referralId,DELETE /api/v1/referrals/:referralId,POST /api/v1/referrals/:referralId/cancel,POST /api/v1/referrals/:referralId/back-to-draft).
v0.0.68
Additions
- Added new
Manualenum value to thesenderSystemfield in referral responses (GET /api/v1/institutions/:institutionIdType/:institutionId/referrals,GET /api/v1/referrals/:referralId,DELETE /api/v1/referrals/:referralId,POST /api/v1/referrals/:referralId/cancel,POST /api/v1/referrals/:referralId/back-to-draft). - Added new
Manualenum value to thetimelineEvents[].systemfield inGET /api/v1/referrals/:referralIdresponse. - Added new
gpfirstandaeenum values to theoffering.categoryfield in referral responses (GET /api/v1/institutions/:institutionIdType/:institutionId/referrals,GET /api/v1/referrals/:referralId,DELETE /api/v1/referrals/:referralId,POST /api/v1/referrals/:referralId/cancel,POST /api/v1/referrals/:referralId/back-to-draft).
v0.0.67
Additions
- Added new
nehrFormenum value to theadditionalFieldquery parameter onGET /api/v1/referrals/:referralId. When requested, the response includes:nehrForm— the referral form rendered as a self-contained HTML document, suitable for forwarding to NEHR.nehrFormType— a human-readable description of the NEHR form type(s), with multiple templates joined by|.
v0.0.66
The changes documented here consolidate the main changes made from v0.0.58 to v0.0.66.

